com.genesyslab.wfm8.API.service.calendar850

## Class AgentTimeoffRules

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar850.AgentTimeoffRules

- All Implemented Interfaces:
    java.io.Serializable

      public class AgentTimeoffRules
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentID` Agent ID
    `private static long` | `serialVersionUID`
    `protected int` | `wmAccrualRuleID` Time Off Rule ID
    `protected double` | `wmAccruedAwarded` Hours accrued or awarded
    `protected double` | `wmBalance` Time Off balance on carry-over date
    `protected double` | `wmBonusAwarded` Total awarded bonus hours
    `protected double` | `wmBonusExpired` Total expired bonus hours
    `protected double` | `wmBonusUsed` Total used bonus hours
    `protected double` | `wmCarriedOverHours` Hours carried over from previous period
    `protected double` | `wmCarryOverDate` Carry-over date (recorded when carry-over is performed) also start date for vacation period when the rule for the tiem off type applies
    `protected double` | `wmDeclined` Declined time off hours
    `protected double` | `wmGranted` Granted time off hours
    `protected boolean` | `wmIsCalculated` Carry-over calculation indicator
    `protected double` | `wmNotScheduled` Not scheduled time off hours (for future use)
    `protected double` | `wmPreferred` Preferred time off hours
    `protected double` | `wmScheduled` Scheduled time off hours
    `protected double` | `wmStopAccrualDate` Rule end date
    `protected double` | `wmSubmitDatetime` Agent Time Off Rule change date and time
    `protected int` | `wmTimeoffTypeID` Time Off Type ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentTimeoffRules()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentID()` Gets the value of the gswAgentID property.
    `int` | `getWmAccrualRuleID()` Gets the value of the wmAccrualRuleID property.
    `double` | `getWmAccruedAwarded()` Gets the value of the wmAccruedAwarded property.
    `double` | `getWmBalance()` Gets the value of the wmBalance property.
    `double` | `getWmBonusAwarded()` Gets the value of the wmBonusAwarded property.
    `double` | `getWmBonusExpired()` Gets the value of the wmBonusExpired property.
    `double` | `getWmBonusUsed()` Gets the value of the wmBonusUsed property.
    `double` | `getWmCarriedOverHours()` Gets the value of the wmCarriedOverHours property.
    `double` | `getWmCarryOverDate()` Gets the value of the wmCarryOverDate property.
    `double` | `getWmDeclined()` Gets the value of the wmDeclined property.
    `double` | `getWmGranted()` Gets the value of the wmGranted property.
    `double` | `getWmNotScheduled()` Gets the value of the wmNotScheduled property.
    `double` | `getWmPreferred()` Gets the value of the wmPreferred property.
    `double` | `getWmScheduled()` Gets the value of the wmScheduled property.
    `double` | `getWmStopAccrualDate()` Gets the value of the wmStopAccrualDate property.
    `double` | `getWmSubmitDatetime()` Gets the value of the wmSubmitDatetime property.
    `int` | `getWmTimeoffTypeID()` Gets the value of the wmTimeoffTypeID property.
    `int` | `hashCode()`
    `boolean` | `isWmIsCalculated()` Gets the value of the wmIsCalculated property.
    `void` | `setGswAgentID(int value)` Sets the value of the gswAgentID property.
    `void` | `setWmAccrualRuleID(int value)` Sets the value of the wmAccrualRuleID property.
    `void` | `setWmAccruedAwarded(double value)` Sets the value of the wmAccruedAwarded property.
    `void` | `setWmBalance(double value)` Sets the value of the wmBalance property.
    `void` | `setWmBonusAwarded(double value)` Sets the value of the wmBonusAwarded property.
    `void` | `setWmBonusExpired(double value)` Sets the value of the wmBonusExpired property.
    `void` | `setWmBonusUsed(double value)` Sets the value of the wmBonusUsed property.
    `void` | `setWmCarriedOverHours(double value)` Sets the value of the wmCarriedOverHours property.
    `void` | `setWmCarryOverDate(double value)` Sets the value of the wmCarryOverDate property.
    `void` | `setWmDeclined(double value)` Sets the value of the wmDeclined property.
    `void` | `setWmGranted(double value)` Sets the value of the wmGranted property.
    `void` | `setWmIsCalculated(boolean value)` Sets the value of the wmIsCalculated property.
    `void` | `setWmNotScheduled(double value)` Sets the value of the wmNotScheduled property.
    `void` | `setWmPreferred(double value)` Sets the value of the wmPreferred property.
    `void` | `setWmScheduled(double value)` Sets the value of the wmScheduled property.
    `void` | `setWmStopAccrualDate(double value)` Sets the value of the wmStopAccrualDate property.
    `void` | `setWmSubmitDatetime(double value)` Sets the value of the wmSubmitDatetime property.
    `void` | `setWmTimeoffTypeID(int value)` Sets the value of the wmTimeoffTypeID property.
    `java.lang.String` | `toString()`
    `AgentTimeoffRules` | `withGswAgentID(int value)`
    `AgentTimeoffRules` | `withWmAccrualRuleID(int value)`
    `AgentTimeoffRules` | `withWmAccruedAwarded(double value)`
    `AgentTimeoffRules` | `withWmBalance(double value)`
    `AgentTimeoffRules` | `withWmBonusAwarded(double value)`
    `AgentTimeoffRules` | `withWmBonusExpired(double value)`
    `AgentTimeoffRules` | `withWmBonusUsed(double value)`
    `AgentTimeoffRules` | `withWmCarriedOverHours(double value)`
    `AgentTimeoffRules` | `withWmCarryOverDate(double value)`
    `AgentTimeoffRules` | `withWmDeclined(double value)`
    `AgentTimeoffRules` | `withWmGranted(double value)`
    `AgentTimeoffRules` | `withWmIsCalculated(boolean value)`
    `AgentTimeoffRules` | `withWmNotScheduled(double value)`
    `AgentTimeoffRules` | `withWmPreferred(double value)`
    `AgentTimeoffRules` | `withWmScheduled(double value)`
    `AgentTimeoffRules` | `withWmStopAccrualDate(double value)`
    `AgentTimeoffRules` | `withWmSubmitDatetime(double value)`
    `AgentTimeoffRules` | `withWmTimeoffTypeID(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### gswAgentID

          protected int gswAgentID

      Agent ID

    - #### wmTimeoffTypeID

          protected int wmTimeoffTypeID

      Time Off Type ID

    - #### wmAccrualRuleID

          protected int wmAccrualRuleID

      Time Off Rule ID

    - #### wmCarryOverDate

          protected double wmCarryOverDate

      Carry-over date (recorded when carry-over is performed) also start date for vacation period when the rule for the tiem off type applies

    - #### wmStopAccrualDate

          protected double wmStopAccrualDate

      Rule end date

    - #### wmCarriedOverHours

          protected double wmCarriedOverHours

      Hours carried over from previous period

    - #### wmBalance

          protected double wmBalance

      Time Off balance on carry-over date

    - #### wmAccruedAwarded

          protected double wmAccruedAwarded

      Hours accrued or awarded

    - #### wmBonusAwarded

          protected double wmBonusAwarded

      Total awarded bonus hours

    - #### wmBonusExpired

          protected double wmBonusExpired

      Total expired bonus hours

    - #### wmBonusUsed

          protected double wmBonusUsed

      Total used bonus hours

    - #### wmScheduled

          protected double wmScheduled

      Scheduled time off hours

    - #### wmNotScheduled

          protected double wmNotScheduled

      Not scheduled time off hours (for future use)

    - #### wmGranted

          protected double wmGranted

      Granted time off hours

    - #### wmPreferred

          protected double wmPreferred

      Preferred time off hours

    - #### wmDeclined

          protected double wmDeclined

      Declined time off hours

    - #### wmIsCalculated

          protected boolean wmIsCalculated

      Carry-over calculation indicator

    - #### wmSubmitDatetime

          protected double wmSubmitDatetime

      Agent Time Off Rule change date and time

  - ### Constructor Detail

    - #### AgentTimeoffRules

          public AgentTimeoffRules()

  - ### Method Detail

    - #### getGswAgentID

          public int getGswAgentID()

      Gets the value of the gswAgentID property.

    - #### setGswAgentID

          public void setGswAgentID(int value)

      Sets the value of the gswAgentID property.

    - #### getWmTimeoffTypeID

          public int getWmTimeoffTypeID()

      Gets the value of the wmTimeoffTypeID property.

    - #### setWmTimeoffTypeID

          public void setWmTimeoffTypeID(int value)

      Sets the value of the wmTimeoffTypeID property.

    - #### getWmAccrualRuleID

          public int getWmAccrualRuleID()

      Gets the value of the wmAccrualRuleID property.

    - #### setWmAccrualRuleID

          public void setWmAccrualRuleID(int value)

      Sets the value of the wmAccrualRuleID property.

    - #### getWmCarryOverDate

          public double getWmCarryOverDate()

      Gets the value of the wmCarryOverDate property.

    - #### setWmCarryOverDate

          public void setWmCarryOverDate(double value)

      Sets the value of the wmCarryOverDate property.

    - #### getWmStopAccrualDate

          public double getWmStopAccrualDate()

      Gets the value of the wmStopAccrualDate property.

    - #### setWmStopAccrualDate

          public void setWmStopAccrualDate(double value)

      Sets the value of the wmStopAccrualDate property.

    - #### getWmCarriedOverHours

          public double getWmCarriedOverHours()

      Gets the value of the wmCarriedOverHours property.

    - #### setWmCarriedOverHours

          public void setWmCarriedOverHours(double value)

      Sets the value of the wmCarriedOverHours property.

    - #### getWmBalance

          public double getWmBalance()

      Gets the value of the wmBalance property.

    - #### setWmBalance

          public void setWmBalance(double value)

      Sets the value of the wmBalance property.

    - #### getWmAccruedAwarded

          public double getWmAccruedAwarded()

      Gets the value of the wmAccruedAwarded property.

    - #### setWmAccruedAwarded

          public void setWmAccruedAwarded(double value)

      Sets the value of the wmAccruedAwarded property.

    - #### getWmBonusAwarded

          public double getWmBonusAwarded()

      Gets the value of the wmBonusAwarded property.

    - #### setWmBonusAwarded

          public void setWmBonusAwarded(double value)

      Sets the value of the wmBonusAwarded property.

    - #### getWmBonusExpired

          public double getWmBonusExpired()

      Gets the value of the wmBonusExpired property.

    - #### setWmBonusExpired

          public void setWmBonusExpired(double value)

      Sets the value of the wmBonusExpired property.

    - #### getWmBonusUsed

          public double getWmBonusUsed()

      Gets the value of the wmBonusUsed property.

    - #### setWmBonusUsed

          public void setWmBonusUsed(double value)

      Sets the value of the wmBonusUsed property.

    - #### getWmScheduled

          public double getWmScheduled()

      Gets the value of the wmScheduled property.

    - #### setWmScheduled

          public void setWmScheduled(double value)

      Sets the value of the wmScheduled property.

    - #### getWmNotScheduled

          public double getWmNotScheduled()

      Gets the value of the wmNotScheduled property.

    - #### setWmNotScheduled

          public void setWmNotScheduled(double value)

      Sets the value of the wmNotScheduled property.

    - #### getWmGranted

          public double getWmGranted()

      Gets the value of the wmGranted property.

    - #### setWmGranted

          public void setWmGranted(double value)

      Sets the value of the wmGranted property.

    - #### getWmPreferred

          public double getWmPreferred()

      Gets the value of the wmPreferred property.

    - #### setWmPreferred

          public void setWmPreferred(double value)

      Sets the value of the wmPreferred property.

    - #### getWmDeclined

          public double getWmDeclined()

      Gets the value of the wmDeclined property.

    - #### setWmDeclined

          public void setWmDeclined(double value)

      Sets the value of the wmDeclined property.

    - #### isWmIsCalculated

          public boolean isWmIsCalculated()

      Gets the value of the wmIsCalculated property.

    - #### setWmIsCalculated

          public void setWmIsCalculated(boolean value)

      Sets the value of the wmIsCalculated property.

    - #### getWmSubmitDatetime

          public double getWmSubmitDatetime()

      Gets the value of the wmSubmitDatetime property.

    - #### setWmSubmitDatetime

          public void setWmSubmitDatetime(double value)

      Sets the value of the wmSubmitDatetime property.

    - #### withGswAgentID

          public AgentTimeoffRules withGswAgentID(int value)

    - #### withWmAccrualRuleID

          public AgentTimeoffRules withWmAccrualRuleID(int value)

    - #### withWmTimeoffTypeID

          public AgentTimeoffRules withWmTimeoffTypeID(int value)

    - #### withWmCarryOverDate

          public AgentTimeoffRules withWmCarryOverDate(double value)

    - #### withWmStopAccrualDate

          public AgentTimeoffRules withWmStopAccrualDate(double value)

    - #### withWmSubmitDatetime

          public AgentTimeoffRules withWmSubmitDatetime(double value)

    - #### withWmAccruedAwarded

          public AgentTimeoffRules withWmAccruedAwarded(double value)

    - #### withWmBalance

          public AgentTimeoffRules withWmBalance(double value)

    - #### withWmBonusAwarded

          public AgentTimeoffRules withWmBonusAwarded(double value)

    - #### withWmBonusExpired

          public AgentTimeoffRules withWmBonusExpired(double value)

    - #### withWmBonusUsed

          public AgentTimeoffRules withWmBonusUsed(double value)

    - #### withWmCarriedOverHours

          public AgentTimeoffRules withWmCarriedOverHours(double value)

    - #### withWmDeclined

          public AgentTimeoffRules withWmDeclined(double value)

    - #### withWmGranted

          public AgentTimeoffRules withWmGranted(double value)

    - #### withWmIsCalculated

          public AgentTimeoffRules withWmIsCalculated(boolean value)

    - #### withWmNotScheduled

          public AgentTimeoffRules withWmNotScheduled(double value)

    - #### withWmPreferred

          public AgentTimeoffRules withWmPreferred(double value)

    - #### withWmScheduled

          public AgentTimeoffRules withWmScheduled(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.